Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.nativebinaries.language.assembler.tasks
[Groovy] Class Assemble

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.nativebinaries.language.assembler.tasks.Assemble

    @Incubating
    class Assemble
    extends DefaultTask

Translates Assembly language source files into object files.

Property Summary
`List` | `assemblerArgs` Additional arguments to provide to the assembler.
`File` | `objectFileDir` The directory where object files will be generated.
`Platform` | `targetPlatform` The platform being targeted.
`ToolChain` | `toolChain`

Constructor Summary
`Assemble()`

Method Summary
`void` | `assemble()`
`def` | `getOutputType()`
`FileCollection` | `getSource()`
`void` | `source(Object sourceFiles)` Adds a set of assembler sources files to be translated.

Property Detail

### assemblerArgs

    @Input
    List assemblerArgs

  Additional arguments to provide to the assembler.

### objectFileDir

    @OutputDirectory
    File objectFileDir

  The directory where object files will be generated.

### targetPlatform

    Platform targetPlatform

  The platform being targeted.

### toolChain

    ToolChain toolChain

Constructor Detail

### Assemble

    @Inject
    Assemble()

Method Detail

### assemble

    @TaskAction
    void assemble()

### getOutputType

    @Input
    def getOutputType()

### getSource

    @InputFiles
    @SkipWhenEmpty // Workaround for GRADLE-2026
    FileCollection getSource()

### source

    void source(Object sourceFiles)

  Adds a set of assembler sources files to be translated. The provided sourceFiles object is evaluated as per Project.files.

Gradle API 1.10